{% extends 'admin/admin-index.twig' %}

{% block admincontent %}
    <h2>Новости</h2>
    <p>Технологии</p>
    <hr>
    <a href="admin/news/add" class="btn btn-primary" role="button">Добавить новость</a>
    <hr>
    <div class="row">
        <table class="table">
            <thead>
            <tr>
                <th>
                    id
                </th>
                <th>
                    Изображение
                </th>
                <th>
                    Заголовок
                </th>
                <th>
                    Краткое описание
                </th>
                <th>
                    Действия
                </th>
            </tr>
            </thead>
            <tbody>
            {% for news in news %}
            <tr>
                <td>
                    {{ news.id }}
                </td>
                <td>
                    <img src="{{ news.front_img }}" style="width: 200px;">
                </td>
                <td>
                    <a href="{{ news.category.query }}/{{ news.id }}" target="_blank">{{ news.title }}</a>
                </td>
                <td>
                    {{ news.description }}
                </td>
                <td>
                    <a href="admin/news/edit/{{ news.id }}" class="btn btn-default" role="button">Редактировать</a>
                    <a href="admin/news/delete/{{ news.id }}" class="btn btn-danger" role="button">Удалить</a>
                </td>
            </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
{% endblock %}